<?php
        $server   = "localhost";
		$username = "casaarandas_root";
		$password = "JcEPk!RG-V~i";
		$database = "";

// Obtener el nombre del host al que se está accediendo
$host = $_SERVER['HTTP_HOST'];

// Determinar la base de datos según el nombre del host

//VENTAS
if (stripos($host, 'broker5.casatequilaarandas.com') !== false) {
    $database = "casaarandas_broker5";

//CDC    
} elseif (stripos($host, 'broker1.casatequilaarandas.com') !== false) {
    $database = "casaarandas_broker1";
//RANCHO -- ahorita esta en test
} elseif (stripos($host, 'broker2.casatequilaarandas.com') !== false) {
    $database = "casaarandas_broker2";
//MKT
} elseif (stripos($host, 'broker3.casatequilaarandas.com') !== false) {
    $database = "casaarandas_broker3";
//TRADE    
} elseif (stripos($host, 'broker4.casatequilaarandas.com') !== false) {
    $database = "casaarandas_broker4";
//EXP    
} /*elseif (stripos($host, 'almacenexp.sanmatias.mx') !== false) {
    $database = "sanmates_inventarioexp3";
//NM    
}  elseif (stripos($host, 'almacennm.sanmatias.mx') !== false) {
    $database = "sanmatespecial_inventarionuevosmercados3";
} */

else {
    // Si la URL no coincide con ninguna de las anteriores, establecer una base de datos predeterminada
    $database = "casaarandas_default";
}

// Conectar a la base de datos seleccionada
$mysqli = new mysqli($server, $username, $password, $database);

// Verificar la conexión
if ($mysqli->connect_error) {
    die('Error de conexión: ' . $mysqli->connect_error);
}

// Hacer algo con la conexión...
?>
